JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const projectLimits = await client.projects.limits.retrieve('id');
console.log(projectLimits.max_concurrent_invocations);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
project_limits = client.projects.limits.retrieve(
"id",
)
print(project_limits.max_concurrent_invocations)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
projectLimits, err := client.Projects.Limits.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", projectLimits.MaxConcurrentInvocations)
}curl --request GET \
--url https://api.onkernel.com/projects/{id}/limits \
--header 'Authorization: Bearer <token>'
{
"max_concurrent_sessions": 10,
"max_concurrent_invocations": 20,
"max_pooled_sessions": 50
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Projects
Get project limits
Get the resource limit overrides for a project. Null values mean no project-level cap (org limit applies).
GET
/
projects
/
{id}
/
limits
JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const projectLimits = await client.projects.limits.retrieve('id');
console.log(projectLimits.max_concurrent_invocations);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
project_limits = client.projects.limits.retrieve(
"id",
)
print(project_limits.max_concurrent_invocations)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
projectLimits, err := client.Projects.Limits.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", projectLimits.MaxConcurrentInvocations)
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID
Response
Project limits
Maximum concurrent browser sessions for this project. Null means no project-level cap.
Example:
10
Maximum concurrent app invocations for this project. Null means no project-level cap.
Example:
20
Maximum pooled sessions capacity for this project. Null means no project-level cap.
Example:
50
⌘I